<?xml version="1.0" encoding="utf-8"?>
<Keyboard xmlns:android="http://schemas.android.com/apk/res/android"
    android:keyHeight="50dp">

    <Row
        android:horizontalGap="0.5%"
        android:keyWidth="9.45%"
        android:keyHeight="50dp"
        android:rowEdgeFlags="top">
        <Key
            android:codes="113"
            android:keyEdgeFlags="left"
            android:keyLabel="Q" />
        <Key
            android:codes="119"
            android:keyLabel="W" />
        <Key
            android:codes="101"
            android:keyLabel="E" />
        <Key
            android:codes="114"
            android:keyLabel="R" />
        <Key
            android:codes="116"
            android:keyLabel="T" />
        <Key
            android:codes="121"
            android:keyLabel="Y" />
        <Key
            android:codes="117"
            android:keyLabel="U" />
        <Key
            android:codes="105"
            android:keyLabel="I" />
        <Key
            android:codes="111"
            android:keyLabel="O" />
        <Key
            android:codes="112"
            android:keyEdgeFlags="right"
            android:keyLabel="P" />
    </Row>
    <Row
        android:horizontalGap="0.5%"
        android:keyWidth="9.444444%"
        android:keyHeight="50dp">
        <Key
            android:codes="97"
            android:horizontalGap="5.5%"
            android:keyLabel="A" />
        <Key
            android:codes="115"
            android:keyLabel="S" />
        <Key
            android:codes="100"
            android:keyLabel="D" />
        <Key
            android:codes="102"
            android:keyLabel="F" />
        <Key
            android:codes="103"
            android:keyLabel="G" />
        <Key
            android:codes="104"
            android:keyLabel="H" />
        <Key
            android:codes="106"
            android:keyLabel="J" />
        <Key
            android:codes="107"
            android:keyLabel="K" />
        <Key
            android:codes="108"
            android:keyLabel="L" />
    </Row>
    <Row
        android:horizontalGap="0.5%"
        android:keyWidth="9.5%"
        android:keyHeight="50dp">

        <Key
            android:codes="-1"
            android:isModifier="true"
            android:isSticky="true"
            android:keyWidth="14.25%"
            android:keyEdgeFlags="left" />
        <Key
            android:codes="122"
            android:keyLabel="Z" />
        <Key
            android:codes="120"
            android:keyLabel="X" />
        <Key
            android:codes="99"
            android:keyLabel="C" />
        <Key
            android:codes="118"
            android:keyLabel="V" />
        <Key
            android:codes="98"
            android:keyLabel="B" />
        <Key
            android:codes="110"
            android:keyLabel="N" />
        <Key
            android:codes="109"
            android:keyLabel="M" />

        <Key
            android:codes="-5"
            android:isModifier="true"
            android:isRepeatable="true"
            android:keyWidth="14.25%"
            android:keyEdgeFlags="right" />
    </Row>

    <Row
        android:horizontalGap="0.5%"
        android:keyWidth="9.5%"
        android:keyHeight="50dp"
        android:rowEdgeFlags="bottom">

        <Key
            android:codes="-2"
            android:keyWidth="14.25%"
            android:keyEdgeFlags="left"
            android:keyLabel="\?123" />

        <Key
            android:codes="44"
            android:keyLabel="," />
        <Key
            android:codes="32"
            android:keyWidth="49.5%"
            android:keyLabel="English" />

        <Key
            android:codes="46"
            android:keyLabel="." />


        <Key
            android:codes="-4"
            android:keyWidth="14.25%"
            android:keyEdgeFlags="right"
            android:keyLabel="Done" />
    </Row>

</Keyboard>